For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
          • GETRetrieves a list of databases for an account
          • POSTAdd a new database
          • GETRetrieves a paginated list of databases for an account, with optional fuzzy search query
          • GETRetrieves a single database
          • DELDeletes database
          • GETGets a list of extra import fields
          • PUTSubmits a list of extra import fields
          • GETReturns a list of mapped fields in the file map
          • POSTSets a database primary key
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
    • FeedAMP Order Source
LogoLogo
RESTPlatformDatabase

Returns a list of mapped fields in the file map

GET
https://meta.feedonomics.com/api.php/dbs/:db_id/db_fields
GET
/api.php/dbs/:db_id/db_fields
$curl https://meta.feedonomics.com/api.php/dbs/1/db_fields \
> -H "x-api-key: x-api-key" \
> -H "Authorization: Bearer <token>"
200Retrieved
1[
2 {
3 "id": "string",
4 "db_id": "string",
5 "field_name": "string",
6 "field_offset": "string",
7 "sort_order": "string",
8 "field_type": "string"
9 }
10]
Was this page helpful?
Previous

Submits a list of extra import fields

Next

Sets a database primary key

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

db_idintegerRequired
ID of the database that the import belongs to

Headers

x-api-keystringRequired

Response

successful operation
idstring
db_idstring
field_namestring
field_offsetstring
sort_orderstring
field_typestring